API Docs / Operations / Pipelines / List Pipelines

List Pipelines

GET /tenants/{tenant}/pipelines

Lists all Pipelines for the given tenant.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

offset query integer (int32)

Number of records to skip (default: 0). Use with limit for pagination.

Number of records to skip (default: 0). Use with limit for pagination.

limit query integer (int32)

Maximum number of records to return (default: 10, max: 50)

Maximum number of records to return (default: 10, max: 50)

sortBy query enum

Field to sort by.

Name

Field to sort by.

Name

sortDesc query boolean

Sort in descending order (true) or ascending order (false, default)

Sort in descending order (true) or ascending order (false, default)

isArchived query boolean

Filter by archived status (true = archived only, false = active only)

Filter by archived status (true = archived only, false = active only)

hasStages query boolean

Filter to only pipelines that have stages defined (true = with stages only)

Filter to only pipelines that have stages defined (true = with stages only)

showKanbanBoard query boolean

Filter to only pipelines with kanban board enabled (true = kanban-enabled only)

Filter to only pipelines with kanban board enabled (true = kanban-enabled only)

search query string

Search across pipeline code and name (minimum 3 characters)

Search across pipeline code and name (minimum 3 characters)

Responses

401 Unauthorized – Invalid or missing API key

Try it